TreeSet
Date: 2016-06-24

java.util

## Class TreeSet

- java.lang.Object
- - java.util.AbstractCollection
  - - java.util.AbstractSet
    - - java.util.TreeSet

- All Implemented Interfaces:
    Serializable, Cloneable, Collection, Set, SortedSet

      public class TreeSet
      extends AbstractSet
      implements Serializable, Cloneable, SortedSet

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeSet()`
    `TreeSet(Collection var0)`
    `TreeSet(Comparator var0)`
    `TreeSet(SortedSet var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `Comparator` | `comparator()`
    `Object` | `first()`
    `SortedSet` | `headSet(Object var0)`
    `Iterator` | `iterator()`
    `Object` | `last()`
    `int` | `size()`
    `SortedSet` | `subSet(Object var0, Object var1)`
    `SortedSet` | `tailSet(Object var0)`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### TreeSet

          public TreeSet()

    - #### TreeSet

          public TreeSet(Collection var0)

    - #### TreeSet

          public TreeSet(Comparator var0)

    - #### TreeSet

          public TreeSet(SortedSet var0)

  - ### Method Detail

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### comparator

          public Comparator comparator()

      Specified by:
        `comparator` in interface `SortedSet`

    - #### first

          public Object first()

      Specified by:
        `first` in interface `SortedSet`

    - #### headSet

          public SortedSet headSet(Object var0)

      Specified by:
        `headSet` in interface `SortedSet`

    - #### iterator

          public Iterator iterator()

      Specified by:
        `iterator` in interface `Collection`

    - #### last

          public Object last()

      Specified by:
        `last` in interface `SortedSet`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection`

    - #### subSet

          public SortedSet subSet(Object var0,
                         Object var1)

      Specified by:
        `subSet` in interface `SortedSet`

    - #### tailSet

          public SortedSet tailSet(Object var0)

      Specified by:
        `tailSet` in interface `SortedSet`